org.apache.maven.profiles.activation

## Class OperatingSystemProfileActivator

- java.lang.Object
- - org.apache.maven.profiles.activation.OperatingSystemProfileActivator

All Implemented Interfaces:
  ProfileActivator

    public class OperatingSystemProfileActivator
    extends java.lang.Object
    implements ProfileActivator

### Field Summary

### Fields inherited from interface org.apache.maven.profiles.activation.ProfileActivator

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`OperatingSystemProfileActivator()`

### Method Summary

Methods
`boolean` `canDetermineActivation(Profile profile)`
`boolean` `isActive(Profile profile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OperatingSystemProfileActivator

    public OperatingSystemProfileActivator()

### Method Detail

#### canDetermineActivation

    public boolean canDetermineActivation(Profile profile)

Specified by:
  `canDetermineActivation` in interface `ProfileActivator`

#### isActive

    public boolean isActive(Profile profile)

Specified by:
  `isActive` in interface `ProfileActivator`